View Issue Details

IDProjectCategoryView StatusLast Update
0000943CaseTalk ManagerApplicationpublic2017-09-05 13:59
ReporterBCP Software 
Assigned ToBCP Software 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFutureFixed in Version4.6 
Summary0000943: Show full dependancy and usage tree
DescriptionShow a graph for IG(G), IGD, Versions ánd Namespaces. The graph should visualize the used dependancies to have a better insight in models and their spread in the enterprise areas.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2017-08-21 14:04

administrator   ~0000970

This is a complete view over multiple models and versions.
BCP Software

BCP Software

2017-08-22 16:51

administrator   ~0000973

A list of used namespaces is given in the manager main window (if any).

It refers to either:
- project + ig + version
- unmanaged namespace
BCP Software

BCP Software

2017-08-22 18:33

administrator   ~0000974

Last edited: 2017-08-22 21:20

View 2 revisions

A list of IG using other IG's should be provided,
A list of IG's using the currently selected IG,

A list of OTFT's and Expressions which are the links between these models should be shown.
If Diagrams are involved, include these as a Area's within models.

BCP Software

BCP Software

2017-08-22 22:57

administrator   ~0000975

This is the dependancy counter at the IG level in the Project Manager. As soon as one of these counters is non-zero, we should be able to call up a dependancy report in the Manager.

BCP Software

BCP Software

2017-09-05 10:37

administrator   ~0000987

New menu item: "Model \ Browse Dependencies .." brings up a browsing window.
BCP Software

BCP Software

2017-09-05 13:59

administrator   ~0000988

A documentation page showing off this new feature:
http://wiki.casetalk.com/Manager:4/ModelUsage#Browse_Dependencies

Issue History

Date Modified Username Field Change
2016-03-20 12:31 BCP Software New Issue
2016-03-20 12:31 BCP Software Status new => assigned
2016-03-20 12:31 BCP Software Assigned To => BCP Software
2017-08-21 14:00 BCP Software Priority normal => high
2017-08-21 14:04 BCP Software Note Added: 0000970
2017-08-22 16:51 BCP Software Note Added: 0000973
2017-08-22 18:33 BCP Software Note Added: 0000974
2017-08-22 21:20 BCP Software Note Edited: 0000974 View Revisions
2017-08-22 22:57 BCP Software File Added: CaseTalkManager-DependancyCount.png
2017-08-22 22:57 BCP Software Note Added: 0000975
2017-09-05 10:37 BCP Software Status assigned => resolved
2017-09-05 10:37 BCP Software Resolution open => fixed
2017-09-05 10:37 BCP Software Fixed in Version => 4.6
2017-09-05 10:37 BCP Software Note Added: 0000987
2017-09-05 13:59 BCP Software Note Added: 0000988